RESTinio

Public Member Functions | Private Member Functions | Private Attributes | List of all members
restinio::utils::sha1::builder_t Struct Reference

`#include <sha1.hpp>`

## Public Member Functions
| builder_t ()
| ~builder_t ()
builder_t & | update (const std::uint8_t *what, std::size_t length)
digest_t | finish ()

## Private Member Functions
std::uint_fast64_t | calculate_total_bits_count () const
void | store_total_bits_to_buffer ()
void | reset ()

## Private Attributes
digest_t | m_digest
size_t | m_buffer_len
size_t | m_transforms_count
byte_block_t | m_buffer

## Detailed Description

Definition at line 238 of file sha1.hpp.

## Constructor & Destructor Documentation

## ◆ builder_t()

restinio::utils::sha1::builder_t::builder_t | ( |  | ) |
| inline

Definition at line 242 of file sha1.hpp.

## ◆ ~builder_t()

restinio::utils::sha1::builder_t::~builder_t | ( |  | ) |
| inline

Definition at line 247 of file sha1.hpp.

## Member Function Documentation

## ◆ calculate_total_bits_count()

std::uint_fast64_t restinio::utils::sha1::builder_t::calculate_total_bits_count | ( |  | ) | const
| inline private

Definition at line 319 of file sha1.hpp.

## ◆ finish()

digest_t restinio::utils::sha1::builder_t::finish | ( |  | ) |
| inline

Definition at line 280 of file sha1.hpp.

## ◆ reset()

void restinio::utils::sha1::builder_t::reset | ( |  | ) |
| inline private

Definition at line 331 of file sha1.hpp.

## ◆ store_total_bits_to_buffer()

void restinio::utils::sha1::builder_t::store_total_bits_to_buffer | ( |  | ) |
| inline private

Definition at line 326 of file sha1.hpp.

## ◆ update()

builder_t & restinio::utils::sha1::builder_t::update | ( | const std::uint8_t * | what,
|  | std::size_t | length
| ) |  |
| inline

Definition at line 254 of file sha1.hpp.

## Member Data Documentation

## ◆ m_buffer

byte_block_t restinio::utils::sha1::builder_t::m_buffer
| private

Definition at line 350 of file sha1.hpp.

## ◆ m_buffer_len

size_t restinio::utils::sha1::builder_t::m_buffer_len
| private

Definition at line 347 of file sha1.hpp.

## ◆ m_digest

digest_t restinio::utils::sha1::builder_t::m_digest
| private

Definition at line 345 of file sha1.hpp.

## ◆ m_transforms_count

size_t restinio::utils::sha1::builder_t::m_transforms_count
| private

Definition at line 348 of file sha1.hpp.

The documentation for this struct was generated from the following file:

- restinio/utils/sha1.hpp